---
updatedAt: 2026-04-07T10:14:50.000Z
agentTools:
  siteIndex: https://developers.liveramp.com/llms.txt
  projectIndex: https://developers.liveramp.com/rampid-api/llms.txt
---

# Create Identity Envelope (Single Transaction)

Create an encrypted identity envelope for a single RampID.

> 📘 Closed Beta
>
> Identity Envelope Creation via API is not yet generally available. If you're interesting in participating in the beta test, contact your LiveRamp representative.

> 🚧 Single Transaction Calls
>
> To make single transaction calls, you need additional permissions from your LiveRamp representative.

You can create an identity envelope for a single RampID by making a POST call to the `people/anonymousAbilitec/`endpoint and using the RampID as the final argument:

```
curl --request POST \
     --url https://us.am.identity.api.liveramp.com/people/anonymousAbilitec?key={rampID}
```

<br />

> 📘 Pseudonymous Identifier
>
> In the context of the RampID API, references to "anonymousAbilitec" indicate resolving to people-based pseudonymous online identifiers. For more information, see "[RampID Methodology](https://docs.liveramp.com/identity/en/rampid-methodology.html)" in the Identity documentation.

# OpenAPI definition

```json
{
  "openapi": "3.1.0",
  "info": {
    "title": "abilitec-api",
    "version": "1.2"
  },
  "servers": [
    {
      "url": "https://us.identity.api.liveramp.com"
    }
  ],
  "components": {
    "securitySchemes": {
      "sec0": {
        "type": "oauth2",
        "flows": {}
      }
    }
  },
  "security": [
    {
      "sec0": []
    }
  ],
  "paths": {
    "/people/anonymousAbilitec": {
      "post": {
        "summary": "Create Identity Envelope (Single Transaction)",
        "description": "Create an encrypted identity envelope for a single RampID.",
        "operationId": "create-a-single-identity-envelope",
        "parameters": [
          {
            "name": "key",
            "in": "query",
            "description": "The RampID you want to create an envelope for.",
            "schema": {
              "type": "string"
            }
          }
        ],
        "responses": {
          "200": {
            "description": "200",
            "content": {
              "application/json": {
                "examples": {
                  "Result": {
                    "value": "{\n\t\"person\": {\n\t\t\"envelope\": \"An4hpBg4NRoupfto61wUIWxMElHDW0Y2gJrn5tavXGJiK4_YJUfkuw\"\n\t}\n}"
                  }
                },
                "schema": {
                  "type": "object",
                  "properties": {
                    "person": {
                      "type": "object",
                      "properties": {
                        "envelope": {
                          "type": "string",
                          "example": "An4hpBg4NRoupfto61wUIWxMElHDW0Y2gJrn5tavXGJiK4_YJUfkuw"
                        }
                      }
                    }
                  }
                }
              }
            }
          },
          "400": {
            "description": "400",
            "content": {
              "application/json": {
                "examples": {
                  "Result": {
                    "value": "{\n  \"error\" : {\n    \"message\" : \"Envelope error: INVALID_ENVELOPE_HANDLE\",\n    \"code\" : \"600-0116\",\n    \"requestId\" : \"74a70a0dc701e3c2d151e51446dfa63d\"\n  }\n}"
                  }
                },
                "schema": {
                  "type": "object",
                  "properties": {
                    "error": {
                      "type": "object",
                      "properties": {
                        "message": {
                          "type": "string",
                          "example": "Envelope error: INVALID_ENVELOPE_HANDLE"
                        },
                        "code": {
                          "type": "string",
                          "example": "600-0116"
                        },
                        "requestId": {
                          "type": "string",
                          "example": "74a70a0dc701e3c2d151e51446dfa63d"
                        }
                      }
                    }
                  }
                }
              }
            }
          }
        },
        "deprecated": false,
        "x-readme": {
          "code-samples": [
            {
              "language": "curl",
              "code": "curl --request POST \\\n     --url https://us.am.identity.api.liveramp.com/people/anonymousAbilitec?key=XY10053iTrPxPU2SqkcQyP49F0LdrQxdAiKjmSz7jP58s7Nq4 "
            }
          ],
          "samples-languages": [
            "curl"
          ]
        }
      }
    }
  },
  "x-readme": {
    "headers": [],
    "explorer-enabled": false,
    "proxy-enabled": true
  },
  "x-readme-fauxas": true
}
```